           
.notification_container{
  width: 119%;
    display: flex;
    flex-direction: column;
    box-shadow: 4px 4px 4px 4px rgba(0, 0, 0, .2);
    padding-bottom: 0.5rem;
    margin-right: 300px;
    /* border: 1px solid rgba(0,0,0,0.2); */
    position: relative;
    margin: 15px;
    &::before {
      content: "";
      position: absolute;
      right: 10%;
      top:-15px;
      width: 0;
      height: 0;
      border-left:10px solid transparent;
      border-right: 10px solid transparent;
      border-bottom: 15px solid #fff;
    }
 
   }
  .notification_header{
    display: flex;
    flex-direction: column;
    border-bottom: 1px solid rgba(0,0,0,0.2);
    padding:0.8rem;
    padding-bottom: 0;
  }
   
.notification_box_head{
   display: flex;
   flex-direction: row;
   align-items: center;
   padding-bottom:1.2rem;
   
   }
   .notification_box_head_icon{
    flex:1.5;
    align-self: center;
   } 

  

   .notification_box_head_text{
    flex:5;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;


   } 

   .head_title{
    display:flex;
    justify-content:flex-start;
    flex:9;
    font-size:0.9rem ;
    font-weight: 600;
   
    }
    .head_toggle_label{  
      flex:6;
      font-size:0.7rem;
      font-weight:400;
     
      text-align: right;
      }
  .head_toggle{  
    flex:0.5;
    text-align: right;
    }
    .head_text{
       flex:2.5;
      font-size:0.7rem;
      font-weight:400;
       text-align: right;
       color: #007bff;
    }


.hide_notifications_box{
    display: none ;
}
.show_notifications_box{
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    width:92% ;
    border: 1px solid black;
    border-radius: 0.5rem;
    align-self: flex-end;
    padding: 0.5rem;
}

.notification_tabs{
  display: flex;
  flex-direction: row;
 
}
.notification_tab{
 padding-left: 1rem;
 padding-right: 1rem;
}
.notification_tab:hover{
  color:#007bff;
  border-bottom: 1px solid #007bff;
}
.notification_number{
  background-color: #ccc;
  border-radius: 50%;
  font-size: 0.7rem;
  padding: 0.1rem;
}

.notification_body{
 height: 400px;
 overflow-y: scroll;
 padding-top: 0.5rem;
 }
 ::-webkit-scrollbar {
  width: 5px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1; 
}
 
/* Handle */
::-webkit-scrollbar-thumb {
  background: #888; 
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555; 
}
.notification_faild{
  display: flex;
  flex-direction: row;
  padding:0.8rem;
   border-bottom: 1px solid rgba(0,0,0,0.2);
   padding-top: 0.5rem;
   padding-bottom: 0.5rem;
  }
  .notification_faild:last-child{
    border-bottom: none;
  }

  .notification_faild_image{
   flex:1.2;
  
  }
  .notification_faild_image_container{
    width:46px;
    height: 46px;
    position: relative;
  }
 .notification_faild_image_container img{
  width: 100%;
  height: 100%;
  border-radius: 50%;
 }
 .notification_faild_image_icon{
  position: absolute;
  right: 0;
  bottom: 0;
  background-color:#007bff;
  border-radius: 50%;
  padding: 0.2rem;
  color: white;
  width:15px;
  height: 15px;
  font-size: 0.6rem;
  display: flex;
  justify-content: center;
  align-items: center;
  align-self: center;
 }
 .notification_faild_text{
  flex: 5;
  flex-grow: 10;
 }
  .notification_faild_row{
   
    display: flex;
    flex-direction: row;
    }
    .notification_faild_title{
    flex:5;
    font-size:0.9rem ;
    font-weight: 500;
    }
    .notification_faild_time{
      flex:2;
     font-size:0.7rem;
    font-weight:400;
    text-align: right;
    }
  .notification_faild_description{  
    flex:5;
    font-size:0.7rem;
    font-weight:400;
}
.notification_faild_seen{
flex:1;
font-size:0.8rem;
font-weight:400;
text-align: right;
color: green;
}
 .mark_seen{
   flex:1;
   align-self: center;
   text-align: end;
 }
